package com.abi.qms.platform.infrastructure.mq;

import com.rabbitmq.client.Channel;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.listener.api.ChannelAwareMessageListener;
import org.springframework.stereotype.Component;

/**
 * @className: com.abi.qms.platform.infrastructure.mq-> TableStoreBatchInsertConsumer
 * @description: tableStore batchInsert
 * @author: Marko.W
 * @createDate: 2021-06-16 10:39
 * @version: 1.0
 * @todo:
 */
@Slf4j
@Component
public class TableStoreBatchInsertConsumer implements ChannelAwareMessageListener {

    public static final String TABLE_STORE_BATCH_INSERT_QUEUE = "table_store__queue";



    @Override
    @SneakyThrows
    @RabbitListener(queues = TABLE_STORE_BATCH_INSERT_QUEUE)
    public void onMessage(Message message, Channel channel){

    }
}
